Subject: bug#41774: Clementine may not be deterministic

From: Thorsten Wilms <[email-masked]>
Date: Tue, 9 Jun 2020 11:29:47 +0200

Since I had to cause a local build despite having a substitute, I used
‘guix build clementine --no-grafts --check’, which reported:
guix build: error: derivation
`/gnu/store/003z966hxvb6hs17sjq4fcwshcqvafxa-clementine-1.3.1-2.4619a4c.drv'
may not be deterministic: output
`/gnu/store/2vpsjrx7q7wx9715cpc2y1vg5xy7hbfw-clementine-1.3.1-2.4619a4c'
differs

‘guix challenge clementine’ reports it to be identical, “because it's
just looking at the substitute you downloaded”, as Ludovic said on IRC.

-- 
Thorsten Wilms <[email-masked]>